Class | WSDL::SOAP::Operation
In: | wsdl/soap/operation.rb
Parent: | Info

### Methods

input_info new operation_style output_info parse_attr parse_element

### Classes and Modules

Class WSDL::SOAP::Operation::OperationInfo

### Attributes

soapaction | [R] |
style | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/soap/operation.rb, line 40
      def initialize
        super
        @soapaction = nil
        @style = nil
      end

### Public Instance methods

input_info()

[Source]

    # File wsdl/soap/operation.rb, line 66
      def input_info
        name_info = parent.find_operation.input_info
        param_info(name_info, parent.input)
      end

operation_style()

[Source]

    # File wsdl/soap/operation.rb, line 76
      def operation_style
        return @style if @style
        if parent_binding.soapbinding
          return parent_binding.soapbinding.style
        end
        nil
      end

output_info()

[Source]

    # File wsdl/soap/operation.rb, line 71
      def output_info
        name_info = parent.find_operation.output_info
        param_info(name_info, parent.output)
      end

parse_attr(attr, value)

[Source]

    # File wsdl/soap/operation.rb, line 50
      def parse_attr(attr, value)
        case attr
        when StyleAttrName
          if ["document", "rpc"].include?(value.source)
            @style = value.source.intern
          else
            raise Parser::AttributeConstraintError.new(
              "Unexpected value #{ value }.")
          end
        when SOAPActionAttrName
          @soapaction = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/soap/operation.rb, line 46
      def parse_element(element)
        nil
      end

[Validate]